#!/bin/bash

BLOCK_DEV=$1
echo "Usando dispositivo $1 para crear respaldo..."

# Crear una sola partición linux que cubra todo el dispositivo y arranque
echo "Creando una partición EXT3 en $BLOCK_DEV"
sfdisk $BLOCK_DEV <<EOF
,,83,*
EOF

# Se debe de copiar un Master Boot Record en el dispositivo para que arranque
echo "Copiando un MBR de arranque hacia $BLOCK_DEV"
dd if=/usr/lib/syslinux/mbr.bin of=$BLOCK_DEV bs=1

# A continuacion se crea el sistema de archivos
PART_DEV="${BLOCK_DEV}1"
echo "Creando un sistema de archivos EXT2 en $PART_DEV ..."
mkfs.ext2 $PART_DEV

# Construir el archivo de configuración
cp /etc/rear/local.conf-template /etc/rear/local.conf
echo "NETFS_MOUNTCMD=\"mount $PART_DEV\"" >> /etc/rear/local.conf

# Por último se ejecuta rear mkbackup sobre la partición
rear mkbackup
